#!/usr/bin/env python

#-----------------------------------------------------------------------
# httpclient2.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import urllib.request

def main():

    if len(sys.argv) != 2:
        print('Usage: python %s url' % sys.argv[0])
        sys.exit(1)

    try:
        url = sys.argv[1]

        # Read the headers from a socket, and write them to stdout.
        with urllib.request.urlopen(url) as in_flo:
            print(in_flo.info(), end='')

            # Read the file's content from the socket.
            file_bytes = in_flo.read()

            # A smarter program would examine the headers to
            # determine how to interpret the file content.  Here,
            # assume that the file contains iso-8859-1 characters.
            try:
                file_str = file_bytes.decode('iso-8859-1')
                print(file_str, end='')
            except Exception:
                print(file_bytes)

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

if __name__ == '__main__':
    main()
